Create an index from a source index

Auth

Copy the mappings and settings from the source index to a destination index while allowing request settings and mappings to override the source values.

Creating an index from source

Required privileges

Index privileges manage

Path parameters

source string required

The source index or data stream name

dest string required

The destination index or data stream name

Request body

settings_override object

Settings overrides to be applied to the destination index (optional)

remove_index_blocks boolean · default: true

If index blocks should be removed when creating destination index (optional)

Response

application/json
acknowledged boolean required
index string required
shards_acknowledged boolean required